package m05bResponsableEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bResponsable;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05ResponsableEB</tt>.
 *
 * @see     m05.exe.Responsable 
 * @see     m05.exe.M05ResponsableEBHome
 * @see     m05.exe.M05ResponsableEBPK
 * @see     m05.exe.M05ResponsableEBBean 
 * @author <a href="mailto:paco.gomez@terra.com">Paco Gomez</a>.
 *         Professional J2EE Programming with BEA WebLogic Server, 
 *         by Gomez & Zadrozny, Copyright &#169; 2000. 
 */
public interface m05Responsable extends EJBObject{

  public String getRes_codigo()throws RemoteException;  
  public void setRes_codigo(String n)throws RemoteException;  

  public String getRes_cargo()throws RemoteException;  
  public void setRes_cargo(String n)throws RemoteException;  
  public String getRes_cargoEu()throws RemoteException;  
  public void setRes_cargoEu(String n)throws RemoteException; 
  public String getRes_nombre()throws RemoteException;  
  public void setRes_nombre(String n)throws RemoteException;  


  /**
   * Returns the Responsable information of this E-EJB.
   */   
  public m05bResponsable getResponsable()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException 
   *              If the given Responsable <tt>mod_id</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */     
/*  public void setResponsable(Responsable aviso)
    throws RemoteException, Exception;    */

}	